import java.util.*;

/******************************************************************************
  Classe permettant de stocker toutes les infos dispos sur une ligne du fichier  
  catalogue c'est a dire relative a 1 achat 
*******************************************************************************/

class Fiche {
    public int id;
    public String nom;
    public String prenom;
    public Date date;
    public String voiture;
    public double prix;

    public Fiche(){
    }

    public Fiche(int id){
		this.id = id;
		nom = null;
		prenom = null;
		date = null;
		voiture = null;
		prix = 0;
    }

    public void affiche () {
		System.out.print("(" + id + ") Mr " + nom + " " + prenom);
		System.out.print(" a achete le " + date.getDate() + "/" + (date.getMonth()+1) + "/");
		System.out.println((date.getYear()+1900) + " une " + voiture + " a " + prix + " euros");
    }

    public String toString () {
		String s = "Mr " + nom + " " + prenom + " (" + id + ")" + "\n" +
			"a achete le "+ date.getDate() +"/"+ (date.getMonth()+1) +"/"+ (date.getYear()+1900)+
			"\nune " + voiture + "\n" +
			"a " + prix + " euros";
		return s;
    }
}
